---
description: As digital denizens, we read more than ever before. From news and forums to comments and blog posts, what we read online informs our decisions and actions. But as we read much-needed information, we must decide what is trustworthy – and what is not.
---
As digital denizens, we read more than ever before. From news and forums to comments and blog posts, what we read online informs our decisions and actions. But as we read much-needed information, we must decide what is trustworthy – and what is not.

So often, it is easier to take what we read at face value – especially if it has signals we've learned to trust. Whether that is the user who posted it, the upvotes it has, the look of the website or the statement being underlined and coloured in blue, saying, "Other people think this is true; just click here to see yourself!"

## The Pitfall of Superficial Credibility

The fact is, these little indicators don't make something fact. Someone lying can just as readily produce a professional-looking website as someone who is not. Anyone can link to anything - links to the source do not mean the statement is trustworthy or even genuine. These links may lead to biased sources, misinterpreted data, or even completely fabricated content. 

Clean layouts, professional language, and citations—all these elements contribute to the veneer of trustworthiness. However, they are not substitutes for genuine credibility. The blue text, the signals we have learned, becomes a tool for manipulation rather than a conduit for truth.

Even the "social proof" that social media platforms will show doesn't mean much. Likes, upvotes, followers - these can all be bought or manipulated if you know where to look.

## The Inevitability of Mistakes

In the end, even the people we trust will make mistakes. Whether that's an accidental oversight, a foundational error, or becoming misinformed, the result is that they become a source of wrong information that you read.

Even if they post a correction, there is a high chance that you won't read it. The update never reaches you; you're stuck with outdated and incorrect information.

## Exercise Incredulity

This is a reminder, then, not to take things at face value immediately . When you need to know something for a fact, research it in depth. Read the citations and find what other people say. Otherwise, take what you read for what it is - something someone said on the internet.
