---
description: CDNs are common - but are they really necessary? Is a single origin the performance pitfall many think it is?
title: Look Ma, No CDN!
syndication:
  - https://programming.dev/post/18849310
listed: "false"
---
At the time of writing, this website has no CDN. And it works fine! If you're in the UK (where the website is hosted), the Time to First Byte (TTFB) is likely within 40ms—pretty impressive for a site running on a single £8/month VPS that's shared with about four other services.

When you look at real-world metrics from users distributed across the globe, the story is much the same: it's fine.

![Sentry metrics on the homepage](2024-09-01-sentry-homepage-20240831144043.png)


![Core Web Vitals for the homepage](2024-09-01-cwv-homepage-20240831144236.png)

In fact, if you look at my blog articles rather than my homepage—which receives much more English-speaking, American/European traffic—performance looks even better:

![Sentry metrics on the blog](2024-09-01-sentry-blog-20240831145014.png)

Despite our almost-reflexive desire to put everything, including the cat's blog, behind Cloudflare, we don't need to. Real-world metrics show that even for a global audience, performance is acceptable. When you look just at your audience, it's great. Chances are that your readers, customers, and clients are in the same part of the world you are.

All that said, putting your website behind a CDN isn't a bad idea. Using a CDN is a simple way to lower latency across the globe. It's an excellent way to reduce load on your origin servers through caching—if your headers are properly configured, the vast majority of requests will never reach your servers. On top of all that, it's perhaps the most effective way to survive the giant DDoS attacks that seem common on the internet.

You don't have to, though.

Most of the time, a CDN is something you can live without.