---
repo: https://github.com/JadedBlueEyes/fendapp
description: FendApp is a unit-aware calculator, native on the desktop
---
FendApp is a calculator for unit-aware calculations across a wide range of domains. It offers various features, including the ability to effortlessly convert between hundreds of built-in units. 

> [!NOTE] MacOS: 'app is damaged and can't be opened'
> If you're on macOS, please note that macOS may say the app is damaged and can't be opened. If that is the case, you will need to use the `xattr -cr <file>` command to tell macOS the app is safe. A tutorial for this can be found [here](https://www.youtube.com/watch?v=xjCMBisZ4Is).

![Screenshot of FendApp calculating the £/hour from total pay and total hours, and converting it into $/hour](Pasted-image-20240716123726.png)

With FendApp, you can perform arithmetic operations with arbitrary precision and seamlessly work with complex numbers. It supports variables, various bases, and trigonometric functions, which enhances its versatility. Its unit-aware capabilities ensure accurate calculations by automatically handling derived units.

## Tech details

Fendapp is a native desktop app written in Rust. It uses less than 20 MB of memory for a fully functional GUI.

It uses Freya, Dioxus, and Skia to achieve low resource usage, and the fend library provides mathematical features.